Skip to main content
`Ctrl`+`K`

# LMERegister

Adds a method to the linear matrix equation solver package.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMERegister(const char *name,PetscErrorCode (*function)(LME))

Not Collective

## Input Parameters

- name - name of a new user-defined solver

- function - routine to create the solver context

## Note

`LMERegister()` may be called multiple times to add several user-defined solvers.

## Example Usage

       LMERegister("my_solver",MySolverCreate);

Then, your solver can be chosen with the procedural interface via

       LMESetType(lme,"my_solver")

or at runtime via the option `-lme_type my_solver`.

## See Also

LME: Linear Matrix Equation, `LMERegisterAll()`

## Level

advanced

## Location

src/lme/interface/lmebasic.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages